<!-- #build0 -->
```markdown
# bench plugin

### Docker Run

Run the Docker image using the `docker run` command. Here are examples adjusted for the new environment variables:

1. **Testing a Single URL:**

    ```bash
    docker run -e URLS="http://example.com" -e USERNAME="user" -e PASSWORD="pass" git.nixc.us/colin/bench:production
    ```

2. **Testing Multiple URLs:**

    ```bash
    docker run -e URLS="http://example.com,http://example2.com" -e USERNAME="user" -e PASSWORD="pass" git.nixc.us/colin/bench:production
    ```

### Docker Compose

Example `docker-compose.yml` file adjusted for the new script:

```yaml
version: '3'

services:
  apachebench:
    image: git.nixc.us/colin/bench:production
    environment:
      URLS: "http://example.com,http://example2.com" # Comma-separated list of URLs
      USERNAME: "user" # Basic auth username
      PASSWORD: "pass" # Basic auth password
      REQUESTS: 100 # Number of requests for Apache Bench
      CONCURRENCY: 10 # Number of multiple requests to make at a time

```

Run the service defined in the `docker-compose.yml` file with:

```bash
docker-compose up
```

### Customizing the Configuration

Adjust the `URLS`, `USERNAME`, `PASSWORD`, `REQUESTS`, and `CONCURRENCY` environment variables to meet your testing needs. Here's the purpose of each:

- `URLS`: Comma-separated list of URLs to test.
- `USERNAME` and `PASSWORD`: Credentials for HTTP Basic Authentication.
- `REQUESTS`: Number of requests to perform with Apache Bench.
- `CONCURRENCY`: Number of multiple requests to make at a time.

This setup allows you to run authenticated performance tests in a Docker environment, offering an automated approach to benchmarking and analyzing the performance of web services.
```